# Porting availability

Use this  before creating a order to make sure all numbers are available for port in to Sinch. Please note that if you try to port a number that is not portable the order will fail.

Endpoint: POST /portabilityChecks
Version: 1.0
Security: basicAuth, bearerAuth

## Security:

  - `basicAuth` (unknown)
    http basic

  - `bearerAuth` (unknown)
    oauth2

## Request fields (application/json):

  - `phoneNumbers` (array)

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `phoneNumbers` (array)

  - `phoneNumbers.phoneNumber` (string)
    A phone number in E.164 format.
    Example: +12345678901

  - `phoneNumbers.portable` (boolean)
    Indicates if a number is portable or not.
    Example: true

  - `phoneNumbers.carrier` (string)
    The carrier to which the number belongs.
    Example: T-Mobile

  - `phoneNumbers.reason` (string)
    If applicable, the reason why the number cannot be ported.

